> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export connection configuration



## OpenAPI

````yaml /api-reference/membrane-api.json get /connections/{id}/export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/export:
    get:
      tags:
        - Connections
      summary: Export connection configuration
      operationId: exportConnection
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: includeSecrets
          required: true
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionExportDto'
components:
  schemas:
    ConnectionExportDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - connector
            - mcp
        name:
          type: string
        meta:
          type: object
          additionalProperties:
            type: object
        authOptionKey:
          type: string
        key:
          type: string
          minLength: 1
          maxLength: 100
          nullable: true
        integrationUuid:
          type: string
        connectorUuid:
          type: string
        externalAppUuid:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````